| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]

# Method sizeof()

Method sizeof

  `int sizeof(string arg)`
  `int sizeof(array arg)`
  `int sizeof(mapping arg)`
  `int sizeof(multiset arg)`
  `int sizeof(object arg)`

Description

  Size query.

Returns

  The result will be as follows:

  `arg` can have any of the following types:

  `string` | The number of characters in arg will be returned.
  `array|multiset` | The number of elements in arg will be returned.
  `mapping` | The number of key-value pairs in arg will be returned.
  `object` | If arg implements lfun::_sizeof() , that function will be called. Otherwise the number of non-protected (ie public) symbols in arg will be returned.

See also

  lfun::_sizeof()